[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Network broken by dhclient on network boot



2009/11/4 Michal Suchanek <hramrach@centrum.cz>:
> And a patch that resolves the issue.
>
> Applies on top of the iso/iscsi patches.
>

This one applies over iso boot patch only.

Thanks

Michal
diff --git a/scripts/live b/scripts/live
index fb714f6..03fec96 100755
--- a/scripts/live
+++ b/scripts/live
@@ -791,10 +791,10 @@ do_netmount ()
 		NFSROOT=${ROOTSERVER}:${ROOTPATH}
 	fi
 
-	if ( [ -n "${FETCH}" ] || [ -n "${HTTPFS}" ] || [ -n "${FTPFS}" ] ) && do_httpmount
+	if ( [ -n "${FETCH}" ] || [ -n "${HTTPFS}" ] || [ -n "${FTPFS}" ] )
 	then
-		rc=0
-		return ${rc}
+		do_httpmount
+		return $?
 	fi
 
 	if [ "${NFSROOT#*:}" = "${NFSROOT}" ] && [ "$NETBOOT" != "cifs" ]
@@ -894,6 +894,9 @@ do_httpmount ()
 			rmdir "${ext_mountpoint}"
 		fi
 		umount "${mountpoint}"
+	elif [ "${webfile}"  != "FETCH" ] ; then
+		NETBOOT="${webfile}"
+		export NETBOOT
 	fi
 
 	return ${rc}

Reply to: